using System;
using Server.Mobiles;

namespace Server.Mobiles
{
	[CorpseName( "a turkey corpse" )]
	public class Turkey : BaseCreature
	{
		[Constructable]
		public Turkey() : base( AIType.AI_Timid, FightMode.Aggressor, 10, 1, 0.2, 0.4 )
		{
			Name = "a turkey";
			Body = 306;
			BaseSoundID = 0x6E;

			SetStr( 15 );
			SetDex( 15 );
			SetInt( 5 );

			SetHits( 15 );
			SetMana( 0 );

			SetDamage( 3 );

			SetSkill( SkillName.MagicResist, 5.0 );
			SetSkill( SkillName.Tactics, 15.0 );
			SetSkill( SkillName.HandToHand, 15.0 );

			Fame = 200;
			Karma = 0;

			VirtualArmor = 5;
		}

		public override int Meat{ get{ return 5; } }
		public override MeatType MeatType{ get{ return MeatType.BigBird; } }

		public override int Feathers{ get{ return 35; } }

		public Turkey(Serial serial) : base(serial)
		{
		}

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();
		}
	}
}